Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| " 2013 FRC Java API "
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.sun.squawk.rms
Class RecordStoreSequenceEntry

    java.lang.Object
      com.sun.squawk.rms.RmsEntry
          com.sun.squawk.rms.RecordStoreSequenceEntry

All Implemented Interfaces:
  IRecordStoreSequenceEntry, IRmsEntry

    public class RecordStoreSequenceEntry

extends RmsEntry
implements IRecordStoreSequenceEntry

I exist in order to allow the delete record, set record, and any other record store operation that essentially does not need to have a new log entry posted. But any operation which changes the state of a record store must also change the version/sequence number of the store, so we mark this with a simple marker.

Field Summary
`protected int` | `storeId`
`static int` | `TYPE`

Fields inherited from class com.sun.squawk.rms.RmsEntry
`address, size`

Constructor Summary
`RecordStoreSequenceEntry()`

Method Summary
`int` | `getStoreId()`
`int` | `getType()`
`void` | `readFrom(IMemoryHeapBlock memoryBlock)`
`void` | `visit(IRmsEntryVisitor visitor)`
`void` | `writeTo(DataOutputStream dataOut)`

Methods inherited from class com.sun.squawk.rms.RmsEntry
`getAddress, setAddress, size`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface com.sun.squawk.rms.IRmsEntry
`getAddress, setAddress, size`

Field Detail

### TYPE

    public static final int TYPE

See Also:
  Constant Field Values

### storeId

    protected int storeId

Constructor Detail

### RecordStoreSequenceEntry

    public RecordStoreSequenceEntry()

Method Detail

### getType

    public int getType()

  Specified by:
    `getType` in interface `IRmsEntry`

### getStoreId

    public int getStoreId()

  Specified by:
    `getStoreId` in interface `IRecordStoreSequenceEntry`

### readFrom

    public void readFrom(IMemoryHeapBlock memoryBlock)
                  throws IOException

  Specified by:
    `readFrom` in interface `IRmsEntry`
  Overrides:
    `readFrom` in class `RmsEntry`
  Throws:
    `IOException`

### visit

    public void visit(IRmsEntryVisitor visitor)
               throws RecordStoreException

  Specified by:
    `visit` in interface `IRmsEntry`
  Throws:
    `RecordStoreException`

### writeTo

    public void writeTo(DataOutputStream dataOut)
                 throws IOException

  Specified by:
    `writeTo` in interface `IRmsEntry`
  Overrides:
    `writeTo` in class `RmsEntry`
  Throws:
    `IOException`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| " 2013 FRC Java API "
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

"
For updated information see the Java FRC site
"